* {
  box-sizing: border-box;
}

body {
  margin: 0 auto;
  flex: 1;
  max-width: 800px;
  min-height: 100svh;
  padding: 32px;
  background: #fdfdfd;
  color: #111;
  font: 18px/28px Lora, Georgia, serif;
  -webkit-font-smoothing: antialiased;
}

a {
  color: inherit;
  position: relative;
  text-decoration: none;

  &::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 1px;
    background: #000;
    transform: scaleX(1);
    transform-origin: left;
    transition: transform 0.2s ease-in-out;
  }

  &:hover {
    color: #000;

    &::after {
      transform: scaleX(0);
    }
  }
}

.content {
  display: flex;
  flex-direction: column;
  gap: 24px;
  max-width: 1024px;

  p {
    margin: 0;
  }
}

@media (max-width: 640px) {
  body {
    padding: 24px;
  }
}
